# Module: `qt.console.ipython_widget`

A FrontendWidget that emulates the interface of the console IPython.

This supports the additional functionality provided by the IPython kernel.

## 1 Class

class `IPython.qt.console.ipython_widget.``IPythonWidget`(*args, **kw)

  Bases: `IPython.qt.console.frontend_widget.FrontendWidget`

  A FrontendWidget for an IPython kernel.

  `__init__`(*args, **kw)
  `execute_file`(path, hidden=False)

    Reimplemented to use the ‘run’ magic.

  `set_default_style`(colors='lightbg')

    Sets the widget style to the class defaults.

    Parameters:

    colors : str, optional (default lightbg)

    > Whether to use the default IPython light background or dark background or B&W style.